<div class="container" style="width:800px;height:600px;">
    <div class="row p-3">
        <ul class="nav">
            <li class="nav-item">
                <img class="card-img-top p-3" src="http://www.vertexsecurity.com/style/img/logo.png" alt="Vertex Security - Security Systems">
            </li>
        </ul>
    </div>

            <nav-items></nav-items>

    <div class="row card">
            <div class="card-header">
                <h3>New Account Form</h3>
            </div>
        <form class="col-md-12 form-horizontal">
            <div class="form-group card-block">
                <div class="form-row">
                    <h6 class="py-3 p-3">Caller Information</h6>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-3">
                        <label for="fname" class="control-label col-form-label-sm col-sm-12">First Name</label>
                        <div class="col-12">   
                            <input class="form-control form-control-sm" [(ngModel)]="account.firstName" readonly name="firstName" id="fname" type="text" placeholder="enter first name">    
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="lname" class="control-label col-form-label-sm col-sm-12">Last Name</label>
                        <div class="col-12">   
                            <input class="form-control form-control-sm" [(ngModel)]="account.lastName" readonly name="lastName"  id="lname" type="text" placeholder="enter last name">    
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="phone" class="control-label col-form-label-sm col-sm-12">Caller Phone</label>
                        <div class="col-12">   
                            <input class="form-control form-control-sm" [(ngModel)]="account.phoneNumber" readonly name="phoneNumber" id="phone" type="text" placeholder="enter phone">    
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="msource" class="control-label col-form-label-sm col-sm-12">Marketing Source</label>
                        <div class="col-12">   
                            <input class="form-control form-control-sm" [(ngModel)]="account.marketingSource" readonly name="marketingSource" id="msource" type="text">    
                        </div>
                    </div>
                </div> 
                <div class="form-row">
                    <div class="col-12">   
                        <hr/>
                    </div>
                </div> 
                <div class="form-row">
                    <h6 class="py-3 p-3">Account Address Information</h6>
                </div>
                <div class="form-row">                    
                    <div class="form-group col-md-12">
                            <label for="lookup" class="control-label col-form-label-sm col-sm-12">Address Lookup</label>
                            <div class="col-12">   
                                   <input class="form-control form-control-sm" ngx-google-places-autocomplete name="lookup" #placesRef="ngx-places" (onAddressChange)="handleAddressChange($event)"/>                            
                            </div>
                    </div>
                </div>
                <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="zcode" class="control-label col-form-label-sm col-sm-12">Zip Code</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="account.postalCode" name="postalCode" id="postalCode" type="text" placeholder="enter zip code">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="accAddress" class="control-label col-form-label-sm col-sm-12">Account Address</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="accAddress" [(ngModel)]="account.address1" name="location" type="text" placeholder="enter account address">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="city" class="control-label col-form-label-sm col-sm-12">City</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="account.city" name="city" id="city" type="text" placeholder="enter city">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="state" class="control-label col-form-label-sm col-sm-12">State</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="city" type="text" name="state" [(ngModel)]="account.state" placeholder="enter state">    
                            </div>
                        </div>
                </div> 
                <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="accType" class="control-label col-form-label-sm col-sm-12">Account Type</label>
                            <div class="col-12">   
                                <select  [(ngModel)]="account.accountType" class="form-control form-control-sm" (change)="onAccountTypeChange($event)" id="accType" name="accountType">
                                    <option *ngFor="let accountType of accountTypes" [ngValue]="accountType.value">{{accountType.name}}</option>
                                </select>        
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="hotNote" class="control-label col-form-label-sm col-sm-12">Hot Note</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="hotNote" name="hotNote" [(ngModel)]="account.hotNote" type="text" placeholder="enter note">    
                            </div>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="location" class="control-label col-form-label-sm col-sm-12">Location</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="location" name="location" [(ngModel)]="account.location" name="accountLocation" type="text" placeholder="Lookup address here">    
                            </div>
                        </div>
                </div> 
                <div class="form-row">
                    <div class="col-12">   
                        <hr/>
                    </div>
                </div> 
                <div *ngIf="isIndividualAccount">
                <div class="form-row">
                    <h6 class="py-3 p-3">Individual Account</h6>
                </div>
                <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="accountName" class="control-label col-form-label-sm col-sm-12">Account Name</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="account.name" name="accName" id="accName" type="text" placeholder="enter account name">    
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="accountEmail" class="control-label col-form-label-sm col-sm-12">Account email</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="accEmail" name="accEmail" type="text" placeholder="enter account email">    
                            </div>
                        </div>
                    <div class="col-12">   
                        <hr/>
                    </div>
                </div> 
                </div>
                <div *ngIf="isIndividualAccount == false">
                <div class="form-row">
                    <h6 class="py-3 p-3">Company Account</h6>
                </div>
                <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="accountName" class="control-label col-form-label-sm col-sm-12">Account Name</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="accName" name="accName" [(ngModel)]="account.name" type="text" placeholder="enter account name">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="companyWebsite" class="control-label col-form-label-sm col-sm-12">Company Website</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" name="companyWebsite" id="companyWebsite" type="text" placeholder="enter company website">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="companyAccountEmail" class="control-label col-form-label-sm col-sm-12">Account Email</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm"  name="companyAccountEmail" id="companyAccountEmail" type="text" placeholder="enter account email">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="accountProfile" class="control-label col-form-label-sm col-sm-12">Account Profile</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" name="accountProfile" id="accountProfile" type="text" placeholder="enter account profile">    
                            </div>
                        </div>
                </div>
                <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="contactPhone" class="control-label col-form-label-sm col-sm-12">Contact Phone</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="contactPhone"  name="contactPhone" type="text" placeholder="enter contact phone">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="contactTitle" class="control-label col-form-label-sm col-sm-12">Contact Title</label>
                            <div class="col-12">   
                                <select [(ngModel)]="selectedTitles" name="selectedTitles" class="form-control form-control-sm" id="contactTitle">
                                    <option *ngFor="let title of titles" [ngValue]="title.value">{{title.name}}</option>
                                </select>       
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="contactEmail" class="control-label col-form-label-sm col-sm-12">Contact Email</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" name="contactEmail" id="contactEmail" type="text" placeholder="enter contact email">    
                            </div>
                        </div>
                    </div>
                                    </div>

                    <div class="form-group row">
                        <div class="col-sm-1">
                            <div class="form-check">
                            </div>  
                        </div>
                        <div class="col-sm-11">
                            <div class="form-check">
                                  <input class="form-check-input" type="checkbox" name="billingAddressName" [ngModel]="isBillingAddress" (ngModelChange)="onBillingAddressChange($event)" value="" id="billingAddressDifferent">
                                  <label class="form-check-label" for="billingAddressDifferent">
                                      Billing Address is different than account address
                                  </label>
                            </div>  
                        </div>
                    </div>      
              <div *ngIf="isBillingAddress">      
                <div class="form-row">
                    <h6 class="py-3 p-3">Billing Address</h6>
                </div>
                <div class="form-row">                    
                        <div class="form-group col-md-12">
                                <label for="lookup" class="control-label col-form-label-sm col-sm-12">Billing Address Lookup</label>
                                <div class="col-12">   
                                       <input class="form-control form-control-sm" ngx-google-places-autocomplete [options]='options' name="lookup" #placesRef="ngx-places" (onAddressChange)="handleBillingAddressChange($event)"/>                            
                                </div>
                        </div>
                </div>    
                <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="baccountAddress" class="control-label col-form-label-sm col-sm-12">Billing Address</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="billTo.address1" name="billingAddress" id="baccountAddress" type="text">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="bcity" class="control-label col-form-label-sm col-sm-12">City</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="billTo.city" name="billingCity" id="city" type="text">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="bState" class="control-label col-form-label-sm col-sm-12">State</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="billTo.state" name="billingState" id="bstate" type="text">    
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="bzipcode" class="control-label col-form-label-sm col-sm-12">Zip Code</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" [(ngModel)]="billTo.postalCode" name="billingPostalCode" id="bpostalcode" type="text">    
                            </div>
                        </div>
                </div>
              </div>
                <div class="form-row">
                    <div class="col-12">   
                        <hr/>
                    </div>
                </div> 
                <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="systemType" class="control-label col-form-label-sm col-sm-12">System Type</label>
                            <div class="col-12">   
                                    <select  [(ngModel)]="selectedSystemType" class="form-control form-control-sm" id="systemType" name="systemType">
                                            <option *ngFor="let systemType of systemTypes" [ngValue]="systemType.value">{{systemType.name}}</option>
                                    </select>                
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-check">
                                  <input class="form-check-input"  name="newInstall" [ngModel]="isNewInstall" (ngModelChange)="onNewInstallChange($event)" type="checkbox" value="" id="newInstall">
                                  <label class="form-check-label" for="newInstall">
                                      New Install
                                  </label>
                            </div>  
                        </div>
                        <div class="col-md-3">
                            <div class="form-check">
                                  <input class="form-check-input" name="newService" [ngModel]="isNewService" (ngModelChange)="onNewServiceChange($event)" type="checkbox" value="" id="service">
                                  <label class="form-check-label" for="service">
                                      Service
                                  </label>
                            </div>  
                        </div>
                 </div>
                <div class="form-row">
                       <div class="col-md-6">
                            <div class="form-check">
                            </div>  
                        </div>

                        <div class="col-md-2">
                            <div class="form-check">
                                  <input class="form-check-input" type="checkbox" value="" id="cancelCall">
                                  <label class="form-check-label" for="cancelCall">
                                      Cancel Call
                                  </label>
                            </div>  
                        </div>
                        <div class="col-md-4">
                            <div class="form-check">
                                <select  [(ngModel)]="selectedCloseReason" class="form-control form-control-sm" id="closeReason" name="closeReason">
                                        <option *ngFor="let closeReason of closeReasons" [ngValue]="closeReason.value">{{closeReason.name}}</option>
                                </select>                
                            </div>  
                        </div>
                </div> 

                <div *ngIf="isNewService">
                    <div class="form-row">
                        <div class="col-12">   
                            <hr/>
                        </div>
                     </div> 
                    <new-service-form></new-service-form>
                </div>
                    <div class="form-row">
                        <div class="col-12">   
                            <hr/>
                        </div>
                     </div> 

                <div class="row" *ngIf="isNewInstall">
                      <div class="form-group col-md-6">
                            <label for="workRequested" class="control-label col-form-label-sm col-sm-12">Work Requested</label>
                            <div class="col-12">   
                                <input class="form-control form-control-sm" id="workRequested" type="text" placeholder="enter work requested">    
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="opportunityName" class="control-label col-form-label-sm col-sm-12">Opportunity Name</label>
                            <div class="col-12">   
                                    <select  [(ngModel)]="selectedOpportunityName" class="form-control form-control-sm" id="opportunityName" name="opportunityName">
                                            <option *ngFor="let opportunityName of opportunityNames" [ngValue]="opportunityName.value">{{opportunityName.name}}</option>
                                    </select>                
                                </div>
                        </div>
                </div>

            </div>         
            <div class="form-row">
                    <div class="col-md-12">   
                        <input type="button" name="createAccountButton" (click)="createAccount($event)" class="btn btn-primary btn-sm float-right" value="Create new account">
                    </div>
                </div>  
                <div class="row">
                     &nbsp;   
                </div>
        </form>
    </div>
    <div class="row">
           {{accountForm.message}}  
    </div>

</div>